$!-----------------------------------------------------------------------------
$! BUILD_VMSETI.COM
$!
$! P1 == LINK or BUILD or empty (compiles and links)
$! P2 == "HERE" forces a local directory executable (regardless of HT_ROOT:)
$!
$! 01-JAN-2003  MGD  refine environment detection
$! 09-JAN-2000  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building "VMSeti"" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = " /DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000," +-
                       "__CRTL_VER=60000000,CGILIB_OBJECT_MODULE)"
$ INCLUDES = " /INCLUDE=[]"
$ WARNINGS=  " /WARNING=(DISABLE=(PREOPTW,IMPLICITFUNC,ADDRCONSTEXT))"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /PREFIX=ALL" +-
                  INCLUDES + DEFINES + WARNINGS
$ ELSE
$    CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /PREFIX=ALL" +-
                  INCLUDES + DEFINES + WARNINGS
$ ENDIF
$!
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" THEN CREATE /DIR 'OBJECT_DIR'
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='OBJECT_DIR' CGILIB
$    CC 'CC_OPTIONS' /OBJECT='OBJECT_DIR' VMSETI
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    PROC = F$ENVIRONMENT("PROCEDURE")
$    IF F$LOCATE("HT_ROOT:",PROC) .LT. F$LENGTH(PROC)
$       THEN EXECUTABLE = "HT_EXE:VMSETI.EXE"
$       ELSE EXECUTABLE = "VMSETI_'ARCH_NAME'.EXE"
$    ENDIF
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE /EXECUTABLE='EXECUTABLE' -
     'OBJECT_DIR'VMSETI,'OBJECT_DIR'CGILIB
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE 'EXECUTABLE'
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
