$!-----------------------------------------------------------------------------
$! VMSETI.COM
$!
$! Wrapper for the VMS SETI@Home access script
$! For WASD copy to HT_ROOT:[SCRIPT_LOCAL]
$! For OSU/CGI must be in the same directory as the VMSETI_xxx.EXE executable.
$!
$! 01-JAN-2003  MGD  CSWS 1.3, refine detection of server environment
$! 17-JUN-2000  MGD  default file type is .SAH for v2.4
$! 06-FEB-2000  MGD  add VMSeti_file_type for v2.0
$! 18-JAN-2000  MGD  add skymap
$! 10-JAN-2000  MGD  initial
$!-----------------------------------------------------------------------------
$ set noon
$!
$ if 0
$ then
$    write sys$output "Content-Type: text/plain"
$    write sys$output ""
$    set verify
$ endif
$!
$ VMSeti_file_type = ".SAH"
$!
$!(these commands support the demo setup, and in production could be cut)
$ wasd = 0
$ if f$type(setiFiles) .eqs. "" .and. f$trnlnm("HTTP$INPUT") .nes. ""
$ then
$    wasd = 1
$    setiFiles = "HT_ROOT:[SRC.VMSETI]DEMO_"
$!!    skymapPath = "/ht_root/src/vmseti/"
$ endif
$ if f$type(setiFiles) .eqs. "" .and. f$trnlnm("APACHE$SHARED_SOCKET") .nes. ""
$ then
$    setiFiles = "APACHE$COMMON:[SRC.VMSETI]DEMO_"
$!!    skymapPath = "/vmseti/"
$ endif
$ if f$type(setiFiles) .eqs. "" .and. f$type(WWW_RUNDOWN_STRING) .nes. ""
$ then
$    setiFiles = "WWW_ROOT:[SCRIPT_CODE.VMSETI]DEMO_"
$!!    skymapPath = "/www_root/script_code/vmseti/"
$ endif
$!
$!(UNCOMMENT AND CHANGE THE FOLLOWING LINES TO LOCATE THE LOCAL SETI FILES)
$!! setiFiles = "device:[SETI.dir]"
$!! skymapPath = "/path/to/images/"
$!
$!(CHANGE TO REMOVE/INCLUDE LOCAL INFORMATION)
$!! VMSeti_local = "@''setiFiles'VMSETI''VMSeti_file_type'"
$ VMSeti_local = "<FONT SIZE=+1><B>Note:</B> this is DEMO, not live data!</FONT><P>"
$!
$!(these three are mandatory)
$ VMSeti_state = "''setiFiles'STATE''VMSeti_file_type'"
$ VMSeti_version = "''setiFiles'VERSION''VMSeti_file_type'"
$ VMSeti_work_unit = "''setiFiles'WORK_UNIT''VMSeti_file_type'"
$!
$!(these three are are optional, any or all may be commented out)
$ VMSeti_outfile = "''setiFiles'OUTFILE''VMSeti_file_type'"
$ VMSeti_user_info = "''setiFiles'USER_INFO''VMSeti_file_type'"
$ if f$type(skymapPath) then VMSeti_skymap = "''skymapPath'"
$!
$ archName = f$getsyi("ARCH_NAME")
$ if archName .nes. "VAX" then archName = "AXP"
$ archName = "_" + archName
$ if wasd then archName = ""
$ exeDir = f$environment("PROCEDURE")
$ exeDir = f$parse(exeDir,,,"DEVICE") + f$parse(exeDir,,,"DIRECTORY")
$ fileName = f$parse(f$environment("PROCEDURE"),,,"NAME")
$!
$ vmseti = "$" + exeDir + fileName + archName
$ vmseti "''P1'" "''P2'" "''P3'" 
$!-----------------------------------------------------------------------------
